Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043231
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-02-17 10:582020-02-27 17:01
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision0eb0e681a931
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043231: Apply new HQL Style in MRPManufacturingPlanProcess.java

DescriptionMRPManufacturingPlanProcess.java has two HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0117893)
inigo_lerga (developer)
2020-02-18 09:39

--Test Plan Mantis HQL queries--
As the F&B International Group Admin role:
    - Go to the Manufacturing Plan window (with an activated
      environment).
      Create a new record, write any Name desired for the Name
      field.
      Save the record and Press the Process Manufacturing Plan button.
      OK button in the popup window.

    #In this moment the modified HQLs are executed#
(0118177)
hgbot (developer)
2020-02-27 17:00

Repository: erp/devel/pi
Changeset: 0eb0e681a931aa7d0dfed2171ad6afeab743ae93
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Tue Feb 18 09:11:05 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0eb0e681a931aa7d0dfed2171ad6afeab743ae93 [^]

fixes BUG-43231:Applied new HQL Style

---
M src/org/openbravo/erpCommon/ad_actionButton/MRPManufacturingPlanProcess.java
---
(0118178)
hgbot (developer)
2020-02-27 17:00

Repository: erp/devel/pi
Changeset: f2342ef327b98eb222686ef4fb7f5b0a67ac532f
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Tue Feb 18 09:32:04 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f2342ef327b98eb222686ef4fb7f5b0a67ac532f [^]

related to ISSUE-43231: Applied Sonarlint suggestions and finals

Sonarlint suggestions applied.
Finals added.

---
M src/org/openbravo/erpCommon/ad_actionButton/MRPManufacturingPlanProcess.java
---
(0118179)
dmiguelez (developer)
2020-02-27 17:01

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-02-17 10:58 inigo_lerga New Issue
2020-02-17 10:58 inigo_lerga Assigned To => platform
2020-02-17 10:58 inigo_lerga Modules => Core
2020-02-17 10:58 inigo_lerga Triggers an Emergency Pack => No
2020-02-17 10:58 inigo_lerga Relationship added related to 0041287
2020-02-17 11:14 inigo_lerga Status new => scheduled
2020-02-17 11:14 inigo_lerga Assigned To platform => inigo_lerga
2020-02-18 09:39 inigo_lerga Note Added: 0117893
2020-02-27 17:00 hgbot Checkin
2020-02-27 17:00 hgbot Note Added: 0118177
2020-02-27 17:00 hgbot Status scheduled => resolved
2020-02-27 17:00 hgbot Resolution open => fixed
2020-02-27 17:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0eb0e681a931aa7d0dfed2171ad6afeab743ae93 [^]
2020-02-27 17:00 hgbot Checkin
2020-02-27 17:00 hgbot Note Added: 0118178
2020-02-27 17:01 dmiguelez Review Assigned To => dmiguelez
2020-02-27 17:01 dmiguelez Note Added: 0118179
2020-02-27 17:01 dmiguelez Status resolved => closed
2020-02-27 17:01 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker